Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Interface OrthoPair

All Known Implementing Classes:
  SimpleOrthoPair

    public interface OrthoPair

Each HomologeneEntry represents a single Homologene record that relates two presumptive orthologues.

Method Summary
`Orthologue` | `getFirstOrthologue()` gets the first orthologue in the orthology relationship.
`double` | `getPercentIdentity()` get percentage identity.
`String` | `getRef()` get reference to evidence for orthology.
`Orthologue` | `getSecondOrthologue()` gets the first orthologue in the orthology relationship.
`SimilarityType` | `getSimilarity()` gets the second orthologue in the orthology relationship.

Method Detail

### getFirstOrthologue

    Orthologue getFirstOrthologue()

  gets the first orthologue in the orthology relationship.

  I agree that this access route is somewhat sucky for a symmetric relationship but I'd hate returning a Set of orthologues more and all the fiddling would require.

### getSecondOrthologue

    Orthologue getSecondOrthologue()

  gets the first orthologue in the orthology relationship. This will be the one with the lower TaxonID.

### getSimilarity

    SimilarityType getSimilarity()

  gets the second orthologue in the orthology relationship. This will be the one with the higher TaxonID.

### getPercentIdentity

    double getPercentIdentity()

  get percentage identity.

### getRef

    String getRef()

  get reference to evidence for orthology.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD